Bug 407971 - Smb4k is blocked by SELinux, by default
Smb4k is blocked by SELinux, by default
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-02 13:54 EST by Paul-Marc Bougharios
Modified: 2007-12-12 17:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-12 17:03:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SETroubleshoot log file, created upon trying to browse the samba share (2.11 KB, text/plain)
2007-12-02 13:54 EST, Paul-Marc Bougharios
no flags Details

  None (edit)
Description Paul-Marc Bougharios 2007-12-02 13:54:21 EST
Description of problem:
Smb4K, SMB/CIFS share browser for KDE, is blocked by default by SELinux.
Upon trying to access a network share, I get:
"SELinux is preventing /usr/bin/net (samba_net_t) "getattr" to socket:[405714]
(unconfined_t)."
I'm attaching the SETroubleshoot log file


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Open Smb4K
2. Wait for it to scan the network
3. Try to browse a network share
  
Actual results:
Nothing appears in the browser, or error "mount error 1 = Operation not
permitted" appears.

Expected results:
Open the browsed share.
Comment 1 Paul-Marc Bougharios 2007-12-02 13:54:21 EST
Created attachment 275091 [details]
SETroubleshoot log file, created upon trying to browse the samba share
Comment 2 Daniel Walsh 2007-12-02 20:41:53 EST
Not sure what is going on here.

If you put the machine in permissive mode does everything work?
Comment 3 Paul-Marc Bougharios 2007-12-10 16:53:20 EST
I put the permissive mode.
I'm still unable to open any samba share, but no AVC denials were recorded... 
I got an error stating that "mount.cifs" was returning error code 1.
I don't think it's SELinux no more...
I think I should work it over with mount.cifs...
Deep thanks for the prompt response!

Note You need to log in before you can comment on or make changes to this bug.